package agents;

/*
 * Created on Oct 12, 2004, Yo!
 *
 */

/**
 * Steht nur dumm rum
 * @author wir
 * 
 */
public class GetPassAgent2 extends Agent {
	public void playerInitialization(){
		baseFunctions.init(infoPool.getTeamName());
		
		//Die Startposition
		infoPool.setXPlayerStart(-5);
		infoPool.setYPlayerStart(20);
		
		// Die Ruheposition
		infoPool.setXPlayerHome(-25);
		infoPool.setYPlayerHome(10);
		// Der Handlungsbereich
		infoPool.setX1PlayerActingField(-52.5);
		infoPool.setY1PlayerActingField(-34);
		infoPool.setX2PlayerActingField(52.5);
		infoPool.setY2PlayerActingField(34);
		// weitere Variablen
		infoPool.setX1PlayerFreeKickField(-60); //außerhalb, damit er nix tut
		infoPool.setY1PlayerFreeKickField(-60);
		infoPool.setX2PlayerFreeKickField(-60);
		infoPool.setY2PlayerFreeKickField(-60);
		//sender.change_view("narrow", "high");
	}
	
	public GetPassAgent2(String[] args){
		super(args);
	}
	
	public void handlePlayOn(){
	    infoPool.handlePassMessage();
	}
	public void handleFreeKickWe(){
	    infoPool.handlePassMessage();		
	}
	public static void main(String[] args) {
		GetPassAgent2 g = new GetPassAgent2(args);
		g.start();
	}
}
